cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/sql-users \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"name":"example_username","password":"example_password"}'{
"name": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
POST
/
api
/
v1
/
clusters
/
{cluster_id}
/
sql-users
cURL
curl --request POST \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/sql-users \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"name":"example_username","password":"example_password"}'{
"name": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}
